{
    attributes = (
        {
            allowsNull = Y; 
            columnName = FCOM_DESCRIPTION; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDES_DESCRIPTION; }; 
            name = fcomDescription; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FCOM_OBJECTIFS; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDES_OBJECTIFS; }; 
            name = fcomObjectifs; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = FCOM_SPECIFICITES; 
            externalType = NUMBER; 
            internalInfo = {_nameInObjectStore = FDES_SPECIFICITES; }; 
            name = fcomSpecificites; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = FDIP_CODE; 
            externalType = VARCHAR2; 
            internalInfo = {_nameInObjectStore = FDIP_KEY; }; 
            name = fdipCode; 
            valueClassName = NSString; 
            width = 7; 
        }
    ); 
    attributesUsedForLocking = (fdipCode); 
    className = EOGenericRecord; 
    classProperties = (
        fdipCode, 
        fcomDescription, 
        fcomObjectifs, 
        fcomSpecificites, 
        toScolFormationDiplome
    ); 
    externalName = SCOL_FORMATION_COMPLEMENT; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {_nameInObjectStore = SCOL_FORMATION_DESCRIPTION; }; 
    name = ScolFormationComplement; 
    primaryKeyAttributes = (fdipCode); 
    relationships = (
        {
            destination = ScolFormationDiplome; 
            internalInfo = {_nameInObjectStore = scolFormationDiplome; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fdipCode; sourceAttribute = fdipCode; }); 
            name = toScolFormationDiplome; 
        }
    ); 
}
